//*********************************************
//         SHADER
//*********************************************
//	ID		:	common+.shader
//	Autor	:	tremap
//	Date	:	2010.03.00 (y.m.d)
//	Version	:	0.0.5
//	History	:	--
//	Copyleft:
//*********************************************
//	alpha	:	_a
//	diffuse :	_d
//	height	:	_h
//	shader/material:
//				_m
//	normal	:	_n
//	specular:	_s
//*********************************************
textures/common+/black
{	qer_editorimage textures/common+/blend/black.jpg
	qer_trans 0.10
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}
textures/common+/caulk
{	qer_trans 0.50
	qer_editorimage textures/common+/blend/caulk.jpg
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}
// ink shader for maps
// add a "_celshader" key to worldspawn entity with a value of "common+/cel"
textures/common+/cel
{	qer_editorimage textures/common+/blend/black.jpg
	q3map_notjunc
	q3map_nonplanar
	q3map_bounce 0.0
	q3map_shadeangle 120
	q3map_texturesize 1 1
	q3map_invert
	q3map_offset -1.0
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	sort 16
	{	map textures/common+/blend/black.jpg
		rgbGen identity
	}
}
textures/common+/hint // should NOT use surfaceparm hint.. strange but true
{	qer_editorimage textures/common+/blend/hint.jpg
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm hint
}
textures/common+/jump-pad
{	qer_editorimage textures/common+/blend/jump-pad.jpg
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}
textures/common+/ladder
{	qer_editorimage textures/common+/blend/ladder.jpg
	qer_trans 0.50
	surfaceparm ladder
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}
textures/common+/liquid
{	qer_editorimage textures/common+/blend/liquid.jpg
	qer_trans 0.10
	surfaceparm water
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
}
textures/common+/nonsolid
{	qer_editorimage textures/common+/blend/nonsolid.jpg
	qer_trans 0.10
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
}
textures/common+/nothing
{	qer_editorimage textures/common+/blend/nothing.jpg
	qer_trans 0.10
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}
textures/common+/skip
{	qer_editorimage textures/common+/blend/skip.jpg
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm skip
	surfaceparm structural
	surfaceparm trans
}